From 8359ed3f27dfeecbd981be10fc07cd05804c08d8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?C=C3=A9lestin=20Matte?= <gitlab@cmatte.me>
Date: Thu, 28 Oct 2021 19:26:27 +0200
Subject: [PATCH 1/2] Add missing authentication backend to settings.py

---
 django/archives/settings.py | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/django/archives/settings.py b/django/archives/settings.py
index 906d91b..db09575 100644
--- a/django/archives/settings.py
+++ b/django/archives/settings.py
@@ -161,6 +161,10 @@ if ALLOW_RESEND or not PUBLIC_ARCHIVES:
         'django.contrib.sessions',
     ] + INSTALLED_APPS
 
+    AUTHENTICATION_BACKENDS = (
+        'archives.auth.AuthBackend',
+    )
+
     if not PUBLIC_ARCHIVES:
         from archives.util import validate_new_user
         PGAUTH_CREATEUSER_CALLBACK = validate_new_user
-- 
2.33.1

